tbb::interface5::reader_writer_lock::scoped_lock Class Reference

The scoped lock pattern for write locks. More...

`#include <reader_writer_lock.h>`

Inheritance diagram for tbb::interface5::reader_writer_lock::scoped_lock:

## Public Member Functions

| scoped_lock (reader_writer_lock &lock)
| Construct with blocking attempt to acquire write lock on the passed-in lock.
| ~scoped_lock ()
| Destructor, releases the write lock.
void * | operator new (size_t s)
void | operator delete (void *p)

## Friends

class | reader_writer_lock

## Detailed Description

The scoped lock pattern for write locks.

Scoped locks help avoid the common problem of forgetting to release the lock. This type also serves as the node for queuing locks.

The documentation for this class was generated from the following file:

- reader_writer_lock.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.